

# Actions
<a name="API_Operations"></a>

The following actions are supported:
+  [CreateLandingZone](API_CreateLandingZone.md) 
+  [DeleteLandingZone](API_DeleteLandingZone.md) 
+  [DisableBaseline](API_DisableBaseline.md) 
+  [DisableControl](API_DisableControl.md) 
+  [EnableBaseline](API_EnableBaseline.md) 
+  [EnableControl](API_EnableControl.md) 
+  [GetBaseline](API_GetBaseline.md) 
+  [GetBaselineOperation](API_GetBaselineOperation.md) 
+  [GetControlOperation](API_GetControlOperation.md) 
+  [GetEnabledBaseline](API_GetEnabledBaseline.md) 
+  [GetEnabledControl](API_GetEnabledControl.md) 
+  [GetLandingZone](API_GetLandingZone.md) 
+  [GetLandingZoneOperation](API_GetLandingZoneOperation.md) 
+  [ListBaselines](API_ListBaselines.md) 
+  [ListControlOperations](API_ListControlOperations.md) 
+  [ListEnabledBaselines](API_ListEnabledBaselines.md) 
+  [ListEnabledControls](API_ListEnabledControls.md) 
+  [ListLandingZoneOperations](API_ListLandingZoneOperations.md) 
+  [ListLandingZones](API_ListLandingZones.md) 
+  [ListTagsForResource](API_ListTagsForResource.md) 
+  [ResetEnabledBaseline](API_ResetEnabledBaseline.md) 
+  [ResetEnabledControl](API_ResetEnabledControl.md) 
+  [ResetLandingZone](API_ResetLandingZone.md) 
+  [TagResource](API_TagResource.md) 
+  [UntagResource](API_UntagResource.md) 
+  [UpdateEnabledBaseline](API_UpdateEnabledBaseline.md) 
+  [UpdateEnabledControl](API_UpdateEnabledControl.md) 
+  [UpdateLandingZone](API_UpdateLandingZone.md) 

# CreateLandingZone
<a name="API_CreateLandingZone"></a>

Creates a new landing zone. This API call starts an asynchronous operation that creates and configures a landing zone, based on the parameters specified in the manifest JSON file.

## Request Syntax
<a name="API_CreateLandingZone_RequestSyntax"></a>

```
POST /create-landingzone HTTP/1.1
Content-type: application/json

{
   "manifest": JSON value,
   "remediationTypes": [ "string" ],
   "tags": { 
      "string" : "string" 
   },
   "version": "string"
}
```

## URI Request Parameters
<a name="API_CreateLandingZone_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_CreateLandingZone_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [manifest](#API_CreateLandingZone_RequestSyntax) **   <a name="controltower-CreateLandingZone-request-manifest"></a>
The manifest JSON file is a text file that describes your AWS resources. For examples, review [Launch your landing zone](https://docs.aws.amazon.com/controltower/latest/userguide/lz-api-launch).   
Type: JSON value  
Required: Yes

 ** [remediationTypes](#API_CreateLandingZone_RequestSyntax) **   <a name="controltower-CreateLandingZone-request-remediationTypes"></a>
Specifies the types of remediation actions to apply when creating the landing zone, such as automatic drift correction or compliance enforcement.  
Type: Array of strings  
Array Members: Fixed number of 1 item.  
Valid Values: `INHERITANCE_DRIFT`   
Required: No

 ** [tags](#API_CreateLandingZone_RequestSyntax) **   <a name="controltower-CreateLandingZone-request-tags"></a>
Tags to be applied to the landing zone.   
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 200 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

 ** [version](#API_CreateLandingZone_RequestSyntax) **   <a name="controltower-CreateLandingZone-request-version"></a>
The landing zone version, for example, 3.0.  
Type: String  
Length Constraints: Minimum length of 3. Maximum length of 10.  
Pattern: `\d+.\d+`   
Required: Yes

## Response Syntax
<a name="API_CreateLandingZone_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "operationIdentifier": "string"
}
```

## Response Elements
<a name="API_CreateLandingZone_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_CreateLandingZone_ResponseSyntax) **   <a name="controltower-CreateLandingZone-response-arn"></a>
The ARN of the landing zone resource.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+` 

 ** [operationIdentifier](#API_CreateLandingZone_ResponseSyntax) **   <a name="controltower-CreateLandingZone-response-operationIdentifier"></a>
A unique identifier assigned to a `CreateLandingZone` operation. You can use this identifier as an input of `GetLandingZoneOperation` to check the operation's status.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}` 

## Errors
<a name="API_CreateLandingZone_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_CreateLandingZone_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/CreateLandingZone) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/CreateLandingZone) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/CreateLandingZone) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/CreateLandingZone) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/CreateLandingZone) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/CreateLandingZone) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/CreateLandingZone) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/CreateLandingZone) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/CreateLandingZone) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/CreateLandingZone) 

# DeleteLandingZone
<a name="API_DeleteLandingZone"></a>

Decommissions a landing zone. This API call starts an asynchronous operation that deletes AWS Control Tower resources deployed in accounts managed by AWS Control Tower.

Decommissioning a landing zone is a process with significant consequences, and it cannot be undone. We strongly recommend that you perform this decommissioning process only if you intend to stop using your landing zone.

## Request Syntax
<a name="API_DeleteLandingZone_RequestSyntax"></a>

```
POST /delete-landingzone HTTP/1.1
Content-type: application/json

{
   "landingZoneIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_DeleteLandingZone_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_DeleteLandingZone_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [landingZoneIdentifier](#API_DeleteLandingZone_RequestSyntax) **   <a name="controltower-DeleteLandingZone-request-landingZoneIdentifier"></a>
The unique identifier of the landing zone.  
Type: String  
Required: Yes

## Response Syntax
<a name="API_DeleteLandingZone_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "operationIdentifier": "string"
}
```

## Response Elements
<a name="API_DeleteLandingZone_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [operationIdentifier](#API_DeleteLandingZone_ResponseSyntax) **   <a name="controltower-DeleteLandingZone-response-operationIdentifier"></a>
>A unique identifier assigned to a `DeleteLandingZone` operation. You can use this identifier as an input parameter of `GetLandingZoneOperation` to check the operation's status.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}` 

## Errors
<a name="API_DeleteLandingZone_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_DeleteLandingZone_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/DeleteLandingZone) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/DeleteLandingZone) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/DeleteLandingZone) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/DeleteLandingZone) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/DeleteLandingZone) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/DeleteLandingZone) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/DeleteLandingZone) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/DeleteLandingZone) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/DeleteLandingZone) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/DeleteLandingZone) 

# DisableBaseline
<a name="API_DisableBaseline"></a>

Disable an `EnabledBaseline` resource on the specified Target. This API starts an asynchronous operation to remove all resources deployed as part of the baseline enablement. The resource will vary depending on the enabled baseline. For usage examples, see [https://docs.aws.amazon.com/controltower/latest/userguide/baseline-api-examples.html](https://docs.aws.amazon.com/controltower/latest/userguide/baseline-api-examples.html).

## Request Syntax
<a name="API_DisableBaseline_RequestSyntax"></a>

```
POST /disable-baseline HTTP/1.1
Content-type: application/json

{
   "enabledBaselineIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_DisableBaseline_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_DisableBaseline_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [enabledBaselineIdentifier](#API_DisableBaseline_RequestSyntax) **   <a name="controltower-DisableBaseline-request-enabledBaselineIdentifier"></a>
Identifier of the `EnabledBaseline` resource to be deactivated, in ARN format.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+`   
Required: Yes

## Response Syntax
<a name="API_DisableBaseline_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "operationIdentifier": "string"
}
```

## Response Elements
<a name="API_DisableBaseline_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [operationIdentifier](#API_DisableBaseline_ResponseSyntax) **   <a name="controltower-DisableBaseline-response-operationIdentifier"></a>
The ID (in UUID format) of the asynchronous `DisableBaseline` operation. This `operationIdentifier` is used to track status through calls to the `GetBaselineOperation` API.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}` 

## Errors
<a name="API_DisableBaseline_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request would cause a service quota to be exceeded. See [Service quotas](https://docs.aws.amazon.com/controltower/latest/userguide/request-an-increase.html).  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_DisableBaseline_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/DisableBaseline) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/DisableBaseline) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/DisableBaseline) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/DisableBaseline) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/DisableBaseline) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/DisableBaseline) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/DisableBaseline) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/DisableBaseline) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/DisableBaseline) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/DisableBaseline) 

# DisableControl
<a name="API_DisableControl"></a>

This API call turns off a control. It starts an asynchronous operation that deletes AWS resources on the specified organizational unit and the accounts it contains. The resources will vary according to the control that you specify. For usage examples, see the [https://docs.aws.amazon.com/controltower/latest/controlreference/control-api-examples-short.html](https://docs.aws.amazon.com/controltower/latest/controlreference/control-api-examples-short.html).

## Request Syntax
<a name="API_DisableControl_RequestSyntax"></a>

```
POST /disable-control HTTP/1.1
Content-type: application/json

{
   "controlIdentifier": "string",
   "enabledControlIdentifier": "string",
   "targetIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_DisableControl_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_DisableControl_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [controlIdentifier](#API_DisableControl_RequestSyntax) **   <a name="controltower-DisableControl-request-controlIdentifier"></a>
The ARN of the control. Only **Strongly recommended** and **Elective** controls are permitted, with the exception of the **Region deny** control. For information on how to find the `controlIdentifier`, see [the overview page](https://docs.aws.amazon.com/controltower/latest/APIReference/Welcome.html).  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+`   
Required: No

 ** [enabledControlIdentifier](#API_DisableControl_RequestSyntax) **   <a name="controltower-DisableControl-request-enabledControlIdentifier"></a>
The ARN of the enabled control to be disabled, which uniquely identifies the control instance on the target organizational unit.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+`   
Required: No

 ** [targetIdentifier](#API_DisableControl_RequestSyntax) **   <a name="controltower-DisableControl-request-targetIdentifier"></a>
The ARN of the organizational unit. For information on how to find the `targetIdentifier`, see [the overview page](https://docs.aws.amazon.com/controltower/latest/APIReference/Welcome.html).  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+`   
Required: No

## Response Syntax
<a name="API_DisableControl_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "operationIdentifier": "string"
}
```

## Response Elements
<a name="API_DisableControl_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [operationIdentifier](#API_DisableControl_ResponseSyntax) **   <a name="controltower-DisableControl-response-operationIdentifier"></a>
The ID of the asynchronous operation, which is used to track status. The operation is available for 90 days.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}` 

## Errors
<a name="API_DisableControl_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request would cause a service quota to be exceeded. See [Service quotas](https://docs.aws.amazon.com/controltower/latest/userguide/request-an-increase.html).  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_DisableControl_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/DisableControl) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/DisableControl) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/DisableControl) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/DisableControl) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/DisableControl) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/DisableControl) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/DisableControl) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/DisableControl) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/DisableControl) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/DisableControl) 

# EnableBaseline
<a name="API_EnableBaseline"></a>

Enable (apply) a `Baseline` to a Target. This API starts an asynchronous operation to deploy resources specified by the `Baseline` to the specified Target. For usage examples, see [https://docs.aws.amazon.com/controltower/latest/userguide/baseline-api-examples.html](https://docs.aws.amazon.com/controltower/latest/userguide/baseline-api-examples.html).

## Request Syntax
<a name="API_EnableBaseline_RequestSyntax"></a>

```
POST /enable-baseline HTTP/1.1
Content-type: application/json

{
   "baselineIdentifier": "string",
   "baselineVersion": "string",
   "parameters": [ 
      { 
         "key": "string",
         "value": JSON value
      }
   ],
   "tags": { 
      "string" : "string" 
   },
   "targetIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_EnableBaseline_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_EnableBaseline_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [baselineIdentifier](#API_EnableBaseline_RequestSyntax) **   <a name="controltower-EnableBaseline-request-baselineIdentifier"></a>
The ARN of the baseline to be enabled.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+`   
Required: Yes

 ** [baselineVersion](#API_EnableBaseline_RequestSyntax) **   <a name="controltower-EnableBaseline-request-baselineVersion"></a>
The specific version to be enabled of the specified baseline.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 10.  
Pattern: `\d+(?:\.\d+){0,2}`   
Required: Yes

 ** [parameters](#API_EnableBaseline_RequestSyntax) **   <a name="controltower-EnableBaseline-request-parameters"></a>
A list of `key-value` objects that specify enablement parameters, where `key` is a string and `value` is a document of any type.  
Type: Array of [EnabledBaselineParameter](API_EnabledBaselineParameter.md) objects  
Required: No

 ** [tags](#API_EnableBaseline_RequestSyntax) **   <a name="controltower-EnableBaseline-request-tags"></a>
Tags associated with input to `EnableBaseline`.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 200 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

 ** [targetIdentifier](#API_EnableBaseline_RequestSyntax) **   <a name="controltower-EnableBaseline-request-targetIdentifier"></a>
The ARN of the target on which the baseline will be enabled. Only OUs are supported as targets.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+`   
Required: Yes

## Response Syntax
<a name="API_EnableBaseline_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "operationIdentifier": "string"
}
```

## Response Elements
<a name="API_EnableBaseline_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_EnableBaseline_ResponseSyntax) **   <a name="controltower-EnableBaseline-response-arn"></a>
The ARN of the `EnabledBaseline` resource.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+` 

 ** [operationIdentifier](#API_EnableBaseline_ResponseSyntax) **   <a name="controltower-EnableBaseline-response-operationIdentifier"></a>
The ID (in UUID format) of the asynchronous `EnableBaseline` operation. This `operationIdentifier` is used to track status through calls to the `GetBaselineOperation` API.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}` 

## Errors
<a name="API_EnableBaseline_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request would cause a service quota to be exceeded. See [Service quotas](https://docs.aws.amazon.com/controltower/latest/userguide/request-an-increase.html).  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_EnableBaseline_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/EnableBaseline) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/EnableBaseline) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/EnableBaseline) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/EnableBaseline) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/EnableBaseline) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/EnableBaseline) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/EnableBaseline) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/EnableBaseline) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/EnableBaseline) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/EnableBaseline) 

# EnableControl
<a name="API_EnableControl"></a>

This API call activates a control. It starts an asynchronous operation that creates AWS resources on the specified organizational unit and the accounts it contains. The resources created will vary according to the control that you specify. For usage examples, see the [https://docs.aws.amazon.com/controltower/latest/controlreference/control-api-examples-short.html](https://docs.aws.amazon.com/controltower/latest/controlreference/control-api-examples-short.html).

## Request Syntax
<a name="API_EnableControl_RequestSyntax"></a>

```
POST /enable-control HTTP/1.1
Content-type: application/json

{
   "controlIdentifier": "string",
   "parameters": [ 
      { 
         "key": "string",
         "value": JSON value
      }
   ],
   "tags": { 
      "string" : "string" 
   },
   "targetIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_EnableControl_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_EnableControl_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [controlIdentifier](#API_EnableControl_RequestSyntax) **   <a name="controltower-EnableControl-request-controlIdentifier"></a>
The ARN of the control. Only **Strongly recommended** and **Elective** controls are permitted, with the exception of the **Region deny** control. For information on how to find the `controlIdentifier`, see [the overview page](https://docs.aws.amazon.com/controltower/latest/APIReference/Welcome.html).  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+`   
Required: Yes

 ** [parameters](#API_EnableControl_RequestSyntax) **   <a name="controltower-EnableControl-request-parameters"></a>
A list of input parameter values, which are specified to configure the control when you enable it.  
Type: Array of [EnabledControlParameter](API_EnabledControlParameter.md) objects  
Required: No

 ** [tags](#API_EnableControl_RequestSyntax) **   <a name="controltower-EnableControl-request-tags"></a>
Tags to be applied to the `EnabledControl` resource.  
Type: String to string map  
Map Entries: Minimum number of 0 items. Maximum number of 200 items.  
Key Length Constraints: Minimum length of 1. Maximum length of 128.  
Value Length Constraints: Minimum length of 0. Maximum length of 256.  
Required: No

 ** [targetIdentifier](#API_EnableControl_RequestSyntax) **   <a name="controltower-EnableControl-request-targetIdentifier"></a>
The ARN of the organizational unit. For information on how to find the `targetIdentifier`, see [the overview page](https://docs.aws.amazon.com/controltower/latest/APIReference/Welcome.html).  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+`   
Required: Yes

## Response Syntax
<a name="API_EnableControl_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "operationIdentifier": "string"
}
```

## Response Elements
<a name="API_EnableControl_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_EnableControl_ResponseSyntax) **   <a name="controltower-EnableControl-response-arn"></a>
The ARN of the `EnabledControl` resource.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+` 

 ** [operationIdentifier](#API_EnableControl_ResponseSyntax) **   <a name="controltower-EnableControl-response-operationIdentifier"></a>
The ID of the asynchronous operation, which is used to track status. The operation is available for 90 days.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}` 

## Errors
<a name="API_EnableControl_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** ConflictException **   
Updating or deleting the resource can cause an inconsistent state.  
HTTP Status Code: 409

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request would cause a service quota to be exceeded. See [Service quotas](https://docs.aws.amazon.com/controltower/latest/userguide/request-an-increase.html).  
HTTP Status Code: 402

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_EnableControl_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/EnableControl) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/EnableControl) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/EnableControl) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/EnableControl) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/EnableControl) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/EnableControl) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/EnableControl) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/EnableControl) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/EnableControl) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/EnableControl) 

# GetBaseline
<a name="API_GetBaseline"></a>

Retrieve details about an existing `Baseline` resource by specifying its identifier. For usage examples, see [https://docs.aws.amazon.com/controltower/latest/userguide/baseline-api-examples.html](https://docs.aws.amazon.com/controltower/latest/userguide/baseline-api-examples.html).

## Request Syntax
<a name="API_GetBaseline_RequestSyntax"></a>

```
POST /get-baseline HTTP/1.1
Content-type: application/json

{
   "baselineIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_GetBaseline_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetBaseline_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [baselineIdentifier](#API_GetBaseline_RequestSyntax) **   <a name="controltower-GetBaseline-request-baselineIdentifier"></a>
The ARN of the `Baseline` resource to be retrieved.  
Type: String  
Pattern: `arn:[a-z-]+:controltower:[a-z0-9-]*:[0-9]{0,12}:baseline/[A-Z0-9]{16}`   
Required: Yes

## Response Syntax
<a name="API_GetBaseline_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "arn": "string",
   "description": "string",
   "name": "string"
}
```

## Response Elements
<a name="API_GetBaseline_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [arn](#API_GetBaseline_ResponseSyntax) **   <a name="controltower-GetBaseline-response-arn"></a>
The baseline ARN.  
Type: String  
Pattern: `arn:[a-z-]+:controltower:[a-z0-9-]*:[0-9]{0,12}:baseline/[A-Z0-9]{16}` 

 ** [description](#API_GetBaseline_ResponseSyntax) **   <a name="controltower-GetBaseline-response-description"></a>
A description of the baseline.  
Type: String

 ** [name](#API_GetBaseline_ResponseSyntax) **   <a name="controltower-GetBaseline-response-name"></a>
A user-friendly name for the baseline.  
Type: String

## Errors
<a name="API_GetBaseline_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetBaseline_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/GetBaseline) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/GetBaseline) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/GetBaseline) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/GetBaseline) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/GetBaseline) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/GetBaseline) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/GetBaseline) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/GetBaseline) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/GetBaseline) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/GetBaseline) 

# GetBaselineOperation
<a name="API_GetBaselineOperation"></a>

Returns the details of an asynchronous baseline operation, as initiated by any of these APIs: `EnableBaseline`, `DisableBaseline`, `UpdateEnabledBaseline`, `ResetEnabledBaseline`. A status message is displayed in case of operation failure. For usage examples, see [https://docs.aws.amazon.com/controltower/latest/userguide/baseline-api-examples.html](https://docs.aws.amazon.com/controltower/latest/userguide/baseline-api-examples.html).

## Request Syntax
<a name="API_GetBaselineOperation_RequestSyntax"></a>

```
POST /get-baseline-operation HTTP/1.1
Content-type: application/json

{
   "operationIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_GetBaselineOperation_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetBaselineOperation_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [operationIdentifier](#API_GetBaselineOperation_RequestSyntax) **   <a name="controltower-GetBaselineOperation-request-operationIdentifier"></a>
The operation ID returned from mutating asynchronous APIs (Enable, Disable, Update, Reset).  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Response Syntax
<a name="API_GetBaselineOperation_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "baselineOperation": { 
      "endTime": "string",
      "operationIdentifier": "string",
      "operationType": "string",
      "startTime": "string",
      "status": "string",
      "statusMessage": "string"
   }
}
```

## Response Elements
<a name="API_GetBaselineOperation_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [baselineOperation](#API_GetBaselineOperation_ResponseSyntax) **   <a name="controltower-GetBaselineOperation-response-baselineOperation"></a>
A `baselineOperation` object that shows information about the specified operation ID.  
Type: [BaselineOperation](API_BaselineOperation.md) object

## Errors
<a name="API_GetBaselineOperation_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetBaselineOperation_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/GetBaselineOperation) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/GetBaselineOperation) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/GetBaselineOperation) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/GetBaselineOperation) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/GetBaselineOperation) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/GetBaselineOperation) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/GetBaselineOperation) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/GetBaselineOperation) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/GetBaselineOperation) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/GetBaselineOperation) 

# GetControlOperation
<a name="API_GetControlOperation"></a>

Returns the status of a particular `EnableControl` or `DisableControl` operation. Displays a message in case of error. Details for an operation are available for 90 days. For usage examples, see the [https://docs.aws.amazon.com/controltower/latest/controlreference/control-api-examples-short.html](https://docs.aws.amazon.com/controltower/latest/controlreference/control-api-examples-short.html).

## Request Syntax
<a name="API_GetControlOperation_RequestSyntax"></a>

```
POST /get-control-operation HTTP/1.1
Content-type: application/json

{
   "operationIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_GetControlOperation_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetControlOperation_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [operationIdentifier](#API_GetControlOperation_RequestSyntax) **   <a name="controltower-GetControlOperation-request-operationIdentifier"></a>
The ID of the asynchronous operation, which is used to track status. The operation is available for 90 days.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Response Syntax
<a name="API_GetControlOperation_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "controlOperation": { 
      "controlIdentifier": "string",
      "enabledControlIdentifier": "string",
      "endTime": "string",
      "operationIdentifier": "string",
      "operationType": "string",
      "startTime": "string",
      "status": "string",
      "statusMessage": "string",
      "targetIdentifier": "string"
   }
}
```

## Response Elements
<a name="API_GetControlOperation_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [controlOperation](#API_GetControlOperation_ResponseSyntax) **   <a name="controltower-GetControlOperation-response-controlOperation"></a>
An operation performed by the control.  
Type: [ControlOperation](API_ControlOperation.md) object

## Errors
<a name="API_GetControlOperation_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetControlOperation_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/GetControlOperation) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/GetControlOperation) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/GetControlOperation) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/GetControlOperation) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/GetControlOperation) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/GetControlOperation) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/GetControlOperation) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/GetControlOperation) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/GetControlOperation) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/GetControlOperation) 

# GetEnabledBaseline
<a name="API_GetEnabledBaseline"></a>

Retrieve details of an `EnabledBaseline` resource by specifying its identifier.

## Request Syntax
<a name="API_GetEnabledBaseline_RequestSyntax"></a>

```
POST /get-enabled-baseline HTTP/1.1
Content-type: application/json

{
   "enabledBaselineIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_GetEnabledBaseline_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetEnabledBaseline_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [enabledBaselineIdentifier](#API_GetEnabledBaseline_RequestSyntax) **   <a name="controltower-GetEnabledBaseline-request-enabledBaselineIdentifier"></a>
Identifier of the `EnabledBaseline` resource to be retrieved, in ARN format.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+`   
Required: Yes

## Response Syntax
<a name="API_GetEnabledBaseline_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "enabledBaselineDetails": { 
      "arn": "string",
      "baselineIdentifier": "string",
      "baselineVersion": "string",
      "driftStatusSummary": { 
         "types": { 
            "inheritance": { 
               "status": "string"
            }
         }
      },
      "parameters": [ 
         { 
            "key": "string",
            "value": JSON value
         }
      ],
      "parentIdentifier": "string",
      "statusSummary": { 
         "lastOperationIdentifier": "string",
         "status": "string"
      },
      "targetIdentifier": "string"
   }
}
```

## Response Elements
<a name="API_GetEnabledBaseline_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [enabledBaselineDetails](#API_GetEnabledBaseline_ResponseSyntax) **   <a name="controltower-GetEnabledBaseline-response-enabledBaselineDetails"></a>
Details of the `EnabledBaseline` resource.  
Type: [EnabledBaselineDetails](API_EnabledBaselineDetails.md) object

## Errors
<a name="API_GetEnabledBaseline_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetEnabledBaseline_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/GetEnabledBaseline) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/GetEnabledBaseline) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/GetEnabledBaseline) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/GetEnabledBaseline) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/GetEnabledBaseline) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/GetEnabledBaseline) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/GetEnabledBaseline) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/GetEnabledBaseline) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/GetEnabledBaseline) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/GetEnabledBaseline) 

# GetEnabledControl
<a name="API_GetEnabledControl"></a>

Retrieves details about an enabled control. For usage examples, see the [https://docs.aws.amazon.com/controltower/latest/controlreference/control-api-examples-short.html](https://docs.aws.amazon.com/controltower/latest/controlreference/control-api-examples-short.html).

## Request Syntax
<a name="API_GetEnabledControl_RequestSyntax"></a>

```
POST /get-enabled-control HTTP/1.1
Content-type: application/json

{
   "enabledControlIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_GetEnabledControl_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetEnabledControl_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [enabledControlIdentifier](#API_GetEnabledControl_RequestSyntax) **   <a name="controltower-GetEnabledControl-request-enabledControlIdentifier"></a>
The `controlIdentifier` of the enabled control.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+`   
Required: Yes

## Response Syntax
<a name="API_GetEnabledControl_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "enabledControlDetails": { 
      "arn": "string",
      "controlIdentifier": "string",
      "driftStatusSummary": { 
         "driftStatus": "string",
         "types": { 
            "inheritance": { 
               "status": "string"
            },
            "resource": { 
               "status": "string"
            }
         }
      },
      "parameters": [ 
         { 
            "key": "string",
            "value": JSON value
         }
      ],
      "parentIdentifier": "string",
      "statusSummary": { 
         "lastOperationIdentifier": "string",
         "status": "string"
      },
      "targetIdentifier": "string",
      "targetRegions": [ 
         { 
            "name": "string"
         }
      ]
   }
}
```

## Response Elements
<a name="API_GetEnabledControl_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [enabledControlDetails](#API_GetEnabledControl_ResponseSyntax) **   <a name="controltower-GetEnabledControl-response-enabledControlDetails"></a>
Information about the enabled control.  
Type: [EnabledControlDetails](API_EnabledControlDetails.md) object

## Errors
<a name="API_GetEnabledControl_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetEnabledControl_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/GetEnabledControl) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/GetEnabledControl) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/GetEnabledControl) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/GetEnabledControl) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/GetEnabledControl) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/GetEnabledControl) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/GetEnabledControl) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/GetEnabledControl) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/GetEnabledControl) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/GetEnabledControl) 

# GetLandingZone
<a name="API_GetLandingZone"></a>

Returns details about the landing zone. Displays a message in case of error.

## Request Syntax
<a name="API_GetLandingZone_RequestSyntax"></a>

```
POST /get-landingzone HTTP/1.1
Content-type: application/json

{
   "landingZoneIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_GetLandingZone_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetLandingZone_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [landingZoneIdentifier](#API_GetLandingZone_RequestSyntax) **   <a name="controltower-GetLandingZone-request-landingZoneIdentifier"></a>
The unique identifier of the landing zone.  
Type: String  
Required: Yes

## Response Syntax
<a name="API_GetLandingZone_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "landingZone": { 
      "arn": "string",
      "driftStatus": { 
         "status": "string"
      },
      "latestAvailableVersion": "string",
      "manifest": JSON value,
      "remediationTypes": [ "string" ],
      "status": "string",
      "version": "string"
   }
}
```

## Response Elements
<a name="API_GetLandingZone_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [landingZone](#API_GetLandingZone_ResponseSyntax) **   <a name="controltower-GetLandingZone-response-landingZone"></a>
Information about the landing zone.  
Type: [LandingZoneDetail](API_LandingZoneDetail.md) object

## Errors
<a name="API_GetLandingZone_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetLandingZone_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/GetLandingZone) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/GetLandingZone) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/GetLandingZone) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/GetLandingZone) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/GetLandingZone) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/GetLandingZone) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/GetLandingZone) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/GetLandingZone) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/GetLandingZone) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/GetLandingZone) 

# GetLandingZoneOperation
<a name="API_GetLandingZoneOperation"></a>

Returns the status of the specified landing zone operation. Details for an operation are available for 90 days.

## Request Syntax
<a name="API_GetLandingZoneOperation_RequestSyntax"></a>

```
POST /get-landingzone-operation HTTP/1.1
Content-type: application/json

{
   "operationIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_GetLandingZoneOperation_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_GetLandingZoneOperation_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [operationIdentifier](#API_GetLandingZoneOperation_RequestSyntax) **   <a name="controltower-GetLandingZoneOperation-request-operationIdentifier"></a>
A unique identifier assigned to a landing zone operation.  
Type: String  
Length Constraints: Fixed length of 36.  
Pattern: `[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}`   
Required: Yes

## Response Syntax
<a name="API_GetLandingZoneOperation_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "operationDetails": { 
      "endTime": "string",
      "operationIdentifier": "string",
      "operationType": "string",
      "startTime": "string",
      "status": "string",
      "statusMessage": "string"
   }
}
```

## Response Elements
<a name="API_GetLandingZoneOperation_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [operationDetails](#API_GetLandingZoneOperation_ResponseSyntax) **   <a name="controltower-GetLandingZoneOperation-response-operationDetails"></a>
Details about a landing zone operation.  
Type: [LandingZoneOperationDetail](API_LandingZoneOperationDetail.md) object

## Errors
<a name="API_GetLandingZoneOperation_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetLandingZoneOperation_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/GetLandingZoneOperation) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/GetLandingZoneOperation) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/GetLandingZoneOperation) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/GetLandingZoneOperation) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/GetLandingZoneOperation) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/GetLandingZoneOperation) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/GetLandingZoneOperation) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/GetLandingZoneOperation) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/GetLandingZoneOperation) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/GetLandingZoneOperation) 

# ListBaselines
<a name="API_ListBaselines"></a>

Returns a summary list of all available baselines. For usage examples, see [https://docs.aws.amazon.com/controltower/latest/userguide/baseline-api-examples.html](https://docs.aws.amazon.com/controltower/latest/userguide/baseline-api-examples.html).

## Request Syntax
<a name="API_ListBaselines_RequestSyntax"></a>

```
POST /list-baselines HTTP/1.1
Content-type: application/json

{
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters
<a name="API_ListBaselines_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListBaselines_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [maxResults](#API_ListBaselines_RequestSyntax) **   <a name="controltower-ListBaselines-request-maxResults"></a>
The maximum number of results to be shown.  
Type: Integer  
Valid Range: Minimum value of 4. Maximum value of 100.  
Required: No

 ** [nextToken](#API_ListBaselines_RequestSyntax) **   <a name="controltower-ListBaselines-request-nextToken"></a>
A pagination token.  
Type: String  
Required: No

## Response Syntax
<a name="API_ListBaselines_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "baselines": [ 
      { 
         "arn": "string",
         "description": "string",
         "name": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListBaselines_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [baselines](#API_ListBaselines_ResponseSyntax) **   <a name="controltower-ListBaselines-response-baselines"></a>
A list of `Baseline` object details.  
Type: Array of [BaselineSummary](API_BaselineSummary.md) objects

 ** [nextToken](#API_ListBaselines_ResponseSyntax) **   <a name="controltower-ListBaselines-response-nextToken"></a>
A pagination token.  
Type: String

## Errors
<a name="API_ListBaselines_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_ListBaselines_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/ListBaselines) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/ListBaselines) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/ListBaselines) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/ListBaselines) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/ListBaselines) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/ListBaselines) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/ListBaselines) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/ListBaselines) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/ListBaselines) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/ListBaselines) 

# ListControlOperations
<a name="API_ListControlOperations"></a>

Provides a list of operations in progress or queued. For usage examples, see [ListControlOperation examples](https://docs.aws.amazon.com/controltower/latest/controlreference/control-api-examples-short.html#list-control-operations-api-examples).

## Request Syntax
<a name="API_ListControlOperations_RequestSyntax"></a>

```
POST /list-control-operations HTTP/1.1
Content-type: application/json

{
   "filter": { 
      "controlIdentifiers": [ "string" ],
      "controlOperationTypes": [ "string" ],
      "enabledControlIdentifiers": [ "string" ],
      "statuses": [ "string" ],
      "targetIdentifiers": [ "string" ]
   },
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters
<a name="API_ListControlOperations_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListControlOperations_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [filter](#API_ListControlOperations_RequestSyntax) **   <a name="controltower-ListControlOperations-request-filter"></a>
An input filter for the `ListControlOperations` API that lets you select the types of control operations to view.  
Type: [ControlOperationFilter](API_ControlOperationFilter.md) object  
Required: No

 ** [maxResults](#API_ListControlOperations_RequestSyntax) **   <a name="controltower-ListControlOperations-request-maxResults"></a>
The maximum number of results to be shown.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 100.  
Required: No

 ** [nextToken](#API_ListControlOperations_RequestSyntax) **   <a name="controltower-ListControlOperations-request-nextToken"></a>
A pagination token.  
Type: String  
Pattern: `.*\S+.*`   
Required: No

## Response Syntax
<a name="API_ListControlOperations_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "controlOperations": [ 
      { 
         "controlIdentifier": "string",
         "enabledControlIdentifier": "string",
         "endTime": "string",
         "operationIdentifier": "string",
         "operationType": "string",
         "startTime": "string",
         "status": "string",
         "statusMessage": "string",
         "targetIdentifier": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListControlOperations_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [controlOperations](#API_ListControlOperations_ResponseSyntax) **   <a name="controltower-ListControlOperations-response-controlOperations"></a>
Returns a list of output from control operations.   
Type: Array of [ControlOperationSummary](API_ControlOperationSummary.md) objects

 ** [nextToken](#API_ListControlOperations_ResponseSyntax) **   <a name="controltower-ListControlOperations-response-nextToken"></a>
A pagination token.  
Type: String  
Pattern: `.*\S+.*` 

## Errors
<a name="API_ListControlOperations_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_ListControlOperations_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/ListControlOperations) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/ListControlOperations) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/ListControlOperations) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/ListControlOperations) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/ListControlOperations) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/ListControlOperations) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/ListControlOperations) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/ListControlOperations) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/ListControlOperations) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/ListControlOperations) 

# ListEnabledBaselines
<a name="API_ListEnabledBaselines"></a>

Returns a list of summaries describing `EnabledBaseline` resources. You can filter the list by the corresponding `Baseline` or `Target` of the `EnabledBaseline` resources. For usage examples, see [https://docs.aws.amazon.com/controltower/latest/userguide/baseline-api-examples.html](https://docs.aws.amazon.com/controltower/latest/userguide/baseline-api-examples.html).

## Request Syntax
<a name="API_ListEnabledBaselines_RequestSyntax"></a>

```
POST /list-enabled-baselines HTTP/1.1
Content-type: application/json

{
   "filter": { 
      "baselineIdentifiers": [ "string" ],
      "inheritanceDriftStatuses": [ "string" ],
      "parentIdentifiers": [ "string" ],
      "statuses": [ "string" ],
      "targetIdentifiers": [ "string" ]
   },
   "includeChildren": boolean,
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters
<a name="API_ListEnabledBaselines_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListEnabledBaselines_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [filter](#API_ListEnabledBaselines_RequestSyntax) **   <a name="controltower-ListEnabledBaselines-request-filter"></a>
A filter applied on the `ListEnabledBaseline` operation. Allowed filters are `baselineIdentifiers` and `targetIdentifiers`. The filter can be applied for either, or both.  
Type: [EnabledBaselineFilter](API_EnabledBaselineFilter.md) object  
Required: No

 ** [includeChildren](#API_ListEnabledBaselines_RequestSyntax) **   <a name="controltower-ListEnabledBaselines-request-includeChildren"></a>
A value that can be set to include the child enabled baselines in responses. The default value is false.  
Type: Boolean  
Required: No

 ** [maxResults](#API_ListEnabledBaselines_RequestSyntax) **   <a name="controltower-ListEnabledBaselines-request-maxResults"></a>
The maximum number of results to be shown.  
Type: Integer  
Valid Range: Minimum value of 5. Maximum value of 100.  
Required: No

 ** [nextToken](#API_ListEnabledBaselines_RequestSyntax) **   <a name="controltower-ListEnabledBaselines-request-nextToken"></a>
A pagination token.  
Type: String  
Pattern: `.*\S+.*`   
Required: No

## Response Syntax
<a name="API_ListEnabledBaselines_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "enabledBaselines": [ 
      { 
         "arn": "string",
         "baselineIdentifier": "string",
         "baselineVersion": "string",
         "driftStatusSummary": { 
            "types": { 
               "inheritance": { 
                  "status": "string"
               }
            }
         },
         "parentIdentifier": "string",
         "statusSummary": { 
            "lastOperationIdentifier": "string",
            "status": "string"
         },
         "targetIdentifier": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListEnabledBaselines_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [enabledBaselines](#API_ListEnabledBaselines_ResponseSyntax) **   <a name="controltower-ListEnabledBaselines-response-enabledBaselines"></a>
Retuens a list of summaries of `EnabledBaseline` resources.  
Type: Array of [EnabledBaselineSummary](API_EnabledBaselineSummary.md) objects

 ** [nextToken](#API_ListEnabledBaselines_ResponseSyntax) **   <a name="controltower-ListEnabledBaselines-response-nextToken"></a>
A pagination token.  
Type: String  
Pattern: `.*\S+.*` 

## Errors
<a name="API_ListEnabledBaselines_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_ListEnabledBaselines_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/ListEnabledBaselines) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/ListEnabledBaselines) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/ListEnabledBaselines) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/ListEnabledBaselines) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/ListEnabledBaselines) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/ListEnabledBaselines) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/ListEnabledBaselines) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/ListEnabledBaselines) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/ListEnabledBaselines) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/ListEnabledBaselines) 

# ListEnabledControls
<a name="API_ListEnabledControls"></a>

Lists the controls enabled by AWS Control Tower on the specified organizational unit and the accounts it contains. For usage examples, see the [https://docs.aws.amazon.com/controltower/latest/controlreference/control-api-examples-short.html](https://docs.aws.amazon.com/controltower/latest/controlreference/control-api-examples-short.html).

## Request Syntax
<a name="API_ListEnabledControls_RequestSyntax"></a>

```
POST /list-enabled-controls HTTP/1.1
Content-type: application/json

{
   "filter": { 
      "controlIdentifiers": [ "string" ],
      "driftStatuses": [ "string" ],
      "inheritanceDriftStatuses": [ "string" ],
      "parentIdentifiers": [ "string" ],
      "resourceDriftStatuses": [ "string" ],
      "statuses": [ "string" ]
   },
   "includeChildren": boolean,
   "maxResults": number,
   "nextToken": "string",
   "targetIdentifier": "string"
}
```

## URI Request Parameters
<a name="API_ListEnabledControls_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListEnabledControls_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [filter](#API_ListEnabledControls_RequestSyntax) **   <a name="controltower-ListEnabledControls-request-filter"></a>
An input filter for the `ListEnabledControls` API that lets you select the types of control operations to view.  
Type: [EnabledControlFilter](API_EnabledControlFilter.md) object  
Required: No

 ** [includeChildren](#API_ListEnabledControls_RequestSyntax) **   <a name="controltower-ListEnabledControls-request-includeChildren"></a>
A boolean value that determines whether to include enabled controls from child organizational units in the response.  
Type: Boolean  
Required: No

 ** [maxResults](#API_ListEnabledControls_RequestSyntax) **   <a name="controltower-ListEnabledControls-request-maxResults"></a>
How many results to return per API call.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 200.  
Required: No

 ** [nextToken](#API_ListEnabledControls_RequestSyntax) **   <a name="controltower-ListEnabledControls-request-nextToken"></a>
The token to continue the list from a previous API call with the same parameters.  
Type: String  
Required: No

 ** [targetIdentifier](#API_ListEnabledControls_RequestSyntax) **   <a name="controltower-ListEnabledControls-request-targetIdentifier"></a>
The ARN of the organizational unit. For information on how to find the `targetIdentifier`, see [the overview page](https://docs.aws.amazon.com/controltower/latest/APIReference/Welcome.html).  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.  
Pattern: `arn:aws[0-9a-zA-Z_\-:\/]+`   
Required: No

## Response Syntax
<a name="API_ListEnabledControls_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "enabledControls": [ 
      { 
         "arn": "string",
         "controlIdentifier": "string",
         "driftStatusSummary": { 
            "driftStatus": "string",
            "types": { 
               "inheritance": { 
                  "status": "string"
               },
               "resource": { 
                  "status": "string"
               }
            }
         },
         "parentIdentifier": "string",
         "statusSummary": { 
            "lastOperationIdentifier": "string",
            "status": "string"
         },
         "targetIdentifier": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListEnabledControls_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [enabledControls](#API_ListEnabledControls_ResponseSyntax) **   <a name="controltower-ListEnabledControls-response-enabledControls"></a>
Lists the controls enabled by AWS Control Tower on the specified organizational unit and the accounts it contains.  
Type: Array of [EnabledControlSummary](API_EnabledControlSummary.md) objects

 ** [nextToken](#API_ListEnabledControls_ResponseSyntax) **   <a name="controltower-ListEnabledControls-response-nextToken"></a>
Retrieves the next page of results. If the string is empty, the response is the end of the results.  
Type: String

## Errors
<a name="API_ListEnabledControls_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The request references a resource that does not exist.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_ListEnabledControls_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/ListEnabledControls) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/ListEnabledControls) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/ListEnabledControls) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/ListEnabledControls) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/ListEnabledControls) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/ListEnabledControls) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/ListEnabledControls) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/ListEnabledControls) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/ListEnabledControls) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/ListEnabledControls) 

# ListLandingZoneOperations
<a name="API_ListLandingZoneOperations"></a>

Lists all landing zone operations from the past 90 days. Results are sorted by time, with the most recent operation first.

## Request Syntax
<a name="API_ListLandingZoneOperations_RequestSyntax"></a>

```
POST /list-landingzone-operations HTTP/1.1
Content-type: application/json

{
   "filter": { 
      "statuses": [ "string" ],
      "types": [ "string" ]
   },
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters
<a name="API_ListLandingZoneOperations_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListLandingZoneOperations_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [filter](#API_ListLandingZoneOperations_RequestSyntax) **   <a name="controltower-ListLandingZoneOperations-request-filter"></a>
An input filter for the `ListLandingZoneOperations` API that lets you select the types of landing zone operations to view.  
Type: [LandingZoneOperationFilter](API_LandingZoneOperationFilter.md) object  
Required: No

 ** [maxResults](#API_ListLandingZoneOperations_RequestSyntax) **   <a name="controltower-ListLandingZoneOperations-request-maxResults"></a>
How many results to return per API call.  
Type: Integer  
Valid Range: Minimum value of 1. Maximum value of 100.  
Required: No

 ** [nextToken](#API_ListLandingZoneOperations_RequestSyntax) **   <a name="controltower-ListLandingZoneOperations-request-nextToken"></a>
The token to continue the list from a previous API call with the same parameters.  
Type: String  
Required: No

## Response Syntax
<a name="API_ListLandingZoneOperations_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "landingZoneOperations": [ 
      { 
         "operationIdentifier": "string",
         "operationType": "string",
         "status": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListLandingZoneOperations_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [landingZoneOperations](#API_ListLandingZoneOperations_ResponseSyntax) **   <a name="controltower-ListLandingZoneOperations-response-landingZoneOperations"></a>
Lists landing zone operations.  
Type: Array of [LandingZoneOperationSummary](API_LandingZoneOperationSummary.md) objects

 ** [nextToken](#API_ListLandingZoneOperations_ResponseSyntax) **   <a name="controltower-ListLandingZoneOperations-response-nextToken"></a>
Retrieves the next page of results. If the string is empty, the response is the end of the results.  
Type: String

## Errors
<a name="API_ListLandingZoneOperations_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
The input does not satisfy the constraints specified by an AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_ListLandingZoneOperations_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/controltower-2018-05-10/ListLandingZoneOperations) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/controltower-2018-05-10/ListLandingZoneOperations) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/controltower-2018-05-10/ListLandingZoneOperations) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/controltower-2018-05-10/ListLandingZoneOperations) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/controltower-2018-05-10/ListLandingZoneOperations) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/controltower-2018-05-10/ListLandingZoneOperations) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/controltower-2018-05-10/ListLandingZoneOperations) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/controltower-2018-05-10/ListLandingZoneOperations) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/controltower-2018-05-10/ListLandingZoneOperations) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/controltower-2018-05-10/ListLandingZoneOperations) 

# ListLandingZones
<a name="API_ListLandingZones"></a>

Returns the landing zone ARN for the landing zone deployed in your managed account. This API also creates an ARN for existing accounts that do not yet have a landing zone ARN. 

Returns one landing zone ARN.

## Request Syntax
<a name="API_ListLandingZones_RequestSyntax"></a>

```
POST /list-landingzones HTTP/1.1
Content-type: application/json

{
   "maxResults": number,
   "nextToken": "string"
}
```

## URI Request Parameters
<a name="API_ListLandingZones_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_ListLandingZones_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [maxResults](#API_ListLandingZones_RequestSyntax) **   <a name="controltower-ListLandingZones-request-maxResults"></a>
The maximum number of returned landing zone ARNs, which is one.  
Type: Integer  
Valid Range: Fixed value of 1.  
Required: No

 ** [nextToken](#API_ListLandingZones_RequestSyntax) **   <a name="controltower-ListLandingZones-request-nextToken"></a>
The token to continue the list from a previous API call with the same parameters.  
Type: String  
Required: No

## Response Syntax
<a name="API_ListLandingZones_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "landingZones": [ 
      { 
         "arn": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListLandingZones_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [landingZones](#API_ListLandingZones_ResponseSyntax) **   <a name="controltower-ListLandingZones-response-landingZones"></a>
The ARN of the landing zone.  
Type: Array of [LandingZoneSummary](API_LandingZoneSummary.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 1 item.

 ** [nextToken](#API_ListLandingZones_ResponseSyntax) **   <a name="controltower-ListLandingZones-response-nextToken"></a>
Retrieves the next page of results. If the string is empty, the response is the end of the results.  
Type: String

## Errors
<a name="API_ListLandingZones_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
An unexpected error occurred during processing of a request.  
HTTP Status Code: 500

 ** ThrottlingException **   
The request was denied due to request throttling.    
 ** quotaCode **   
The ID of the service quota that was exceeded.  
 ** retryAfterSeconds **   
The number of seconds the caller should wait before retrying.  
 ** serviceCode **   
The ID of the service that is associated with the error.
HTTP Status Code: 429

 ** ValidationException **   
[...]
